summaryrefslogtreecommitdiffstats
path: root/libraries/libzip
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:00:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:58 +0200
commitec6c256fc14d14469367afe66178d078135457f0 (patch)
tree1966be01c52dac04fb2ae8ab07dccd339c16ada1 /libraries/libzip
parent1f55742f6956a0049708689f06d1e8f0a3dea113 (diff)
downloadslackbuilds-ec6c256fc14d14469367afe66178d078135457f0.tar.gz
slackbuilds-ec6c256fc14d14469367afe66178d078135457f0.tar.xz
libraries/libzip: Added to 12.0 repository
Diffstat (limited to 'libraries/libzip')
-rw-r--r--libraries/libzip/README4
-rw-r--r--libraries/libzip/libzip.SlackBuild84
-rw-r--r--libraries/libzip/libzip.info8
-rw-r--r--libraries/libzip/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/libraries/libzip/README b/libraries/libzip/README
new file mode 100644
index 0000000000..ad5321ae9d
--- /dev/null
+++ b/libraries/libzip/README
@@ -0,0 +1,4 @@
+This is libzip, a C library for reading, creating, and modifying
+zip archives. Files can be added from data buffers, files, or
+compressed data copied directly from other zip archives. Changes
+made without closing the archive can be reverted. \ No newline at end of file
diff --git a/libraries/libzip/libzip.SlackBuild b/libraries/libzip/libzip.SlackBuild
new file mode 100644
index 0000000000..f877d7bae2
--- /dev/null
+++ b/libraries/libzip/libzip.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for libzip
+
+# Copyright 2007 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libzip
+VERSION=0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libzip/libzip.info b/libraries/libzip/libzip.info
new file mode 100644
index 0000000000..abca5c45e7
--- /dev/null
+++ b/libraries/libzip/libzip.info
@@ -0,0 +1,8 @@
+PRGNAM="libzip"
+VERSION="0.8"
+HOMEPAGE="http://www.nih.at/libzip/"
+DOWNLOAD="http://www.nih.at/libzip/libzip-0.8.tar.gz"
+MD5SUM="b0087c2a12b312f8ec2df1052b2acb4f"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/libraries/libzip/slack-desc b/libraries/libzip/slack-desc
new file mode 100644
index 0000000000..705681e3b6
--- /dev/null
+++ b/libraries/libzip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libzip: libzip (Read, create, modify Zip-Archives)
+libzip:
+libzip: This is libzip, a C library for reading, creating, and modifying
+libzip: zip archives. Files can be added from data buffers, files, or
+libzip: compressed data copied directly from other zip archives. Changes
+libzip: made without closing the archive can be reverted.
+libzip:
+libzip: Homepage: http://www.nih.at/libzip/
+libzip:
+libzip:
+libzip: